################################################################################
# Automatically-generated file. Do not edit!
################################################################################

-include ../makefile.init

RM := rm -rf

# All of the sources participating in the build are defined here
-include sources.mk
-include subdir.mk
-include objects.mk

ifneq ($(MAKECMDGOALS),clean)
ifneq ($(strip $(C_DEPS)),)
-include $(C_DEPS)
endif
endif

-include ../makefile.defs

# Add inputs and outputs from these tool invocations to the build variables 
OBJCOPY_FLASH += \
blink_XP.bin \


# All Target
all: blink_XP.elf secondary-outputs

# Tool invocations
blink_XP.elf: $(OBJS) $(USER_OBJS)
	@echo 'Building target: $@'
	@echo 'Invoking: C Linker'
	arm-elf-ld $(OBJS) $(USER_OBJS) $(LIBS) -o"blink_XP.elf" -static -lc -lgcc -L"D:\Dokumenty\Data_ARM\blink_XP" -Map=blink_XP.map
	@echo 'Finished building target: $@'
	@echo ' '

blink_XP.bin: blink_XP.elf
	@echo 'Invoking: ObjCopyFlash'
	arm-elf-objcopy -O binary blink_XP.elf "blink_XP.bin"
	@echo 'Finished building: $@'
	@echo ' '

# Other Targets
clean:
	-$(RM) $(OBJS)$(C_DEPS)$(OBJCOPY_FLASH)$(EXECUTABLES) blink_XP.elf
	-@echo ' '

secondary-outputs: $(OBJCOPY_FLASH)

.PHONY: all clean dependents
.SECONDARY:

-include ../makefile.targets
